CRMchat APIBeta
Telegram APIPayments

payments.canPurchaseStore

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.canPurchaseStore

Checks whether a purchase is possible. Must be called before in-store purchase, official apps only.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Checks whether a purchase is possible. Must be called before in-store purchase, official apps only.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.canPurchaseStore" \  -H "Content-Type: application/json" \  -d '{    "params": {      "purpose": {        "_": "inputStorePaymentPremiumSubscription"      }    }  }'
{  "result": true}